[meego-commits] 5964: Changes to Trunk:Testing/nokia-usb-networking

Carsten V. Munk ext-carsten.munk at nomovok.com
Fri Jul 23 10:43:41 UTC 2010


Hi,
I have made the following changes to nokia-usb-networking in project Trunk:Testing. Please review and accept ASAP.

Thank You,
Carsten V. Munk

[This message was auto-generated]

---

Request #5964:

  submit:   devel:devices:n900/nokia-usb-networking(r4) -> Trunk:Testing/nokia-usb-networking


Message:
    Revert USB networking functionality to be using g_ether instead of g_nokia as well as ifconfig instead of connmand, as connmand does not support USB gadget devices for networking.

State:   new          2010-07-22T22:37:26 cvm
Comment: None



changes files:
--------------
--- nokia-usb-networking.changes
+++ nokia-usb-networking.changes
@@ -0,0 +1,4 @@
+* Thu Jul 22 2010 Marko Saukko <marko.saukko at cybercom.com> - 1.3
+- Reverted the usb networking to ifconfig as connman does not have
+  support for the gadget devices.
+

spec files:
-----------
--- nokia-usb-networking.spec
+++ nokia-usb-networking.spec
@@ -1,5 +1,5 @@
 Name:       nokia-usb-networking
-Version:    1.2
+Version:    1.3
 Release:    0
 Summary:    Provides init script for USB networking for Nokia devices
 Group:      System/Networking
@@ -12,6 +12,7 @@
 ExclusiveArch:  %{arm}
 
 Requires(post): /sbin/chkconfig
+Requires(preun): /sbin/chkconfig
 Requires: dbus-python
 Requires: pygobject2
 Requires: connman

other changes:
--------------

++++++ nokia-usb-networking.init
--- nokia-usb-networking.init
+++ nokia-usb-networking.init
@@ -15,33 +15,36 @@
 . /etc/rc.d/init.d/functions
 
 RETVAL=0
-PID_FILE=/var/run/nokia-usb-net-confd.pid
+#PID_FILE=/var/run/nokia-usb-net-confd.pid
+USB_NET_MODULE=g_ether
 
 start() {
     echo -n "Starting nokia-usb-networking: "
-    /sbin/modprobe g_nokia
+    /sbin/modprobe $USB_NET_MODULE
     RETVAL=$?
     if [ "$RETVAL" = 0 ]; then
-	/usr/sbin/nokia-usb-net-confd
-	RETVAL=$?
+#        /usr/sbin/nokia-usb-net-confd
+        ifconfig usb0 down
+        ifconfig usb0 192.168.2.15 up
+        RETVAL=$?
     fi
     if [ "$RETVAL" = 0 ]; then
-	success
+        success
     else
-	failure
+        failure
     fi
     echo
 }
 
 stop() {
     echo -n "Stopping nokia-usb-networking: "
-    killall nokia-usb-net-confd
-    /sbin/modprobe -r g_nokia
+#    killall nokia-usb-net-confd
+    /sbin/modprobe -r $USB_NET_MODULE
     RETVAL=$?
-     if [ "$RETVAL" = 0 ]; then
-	success
+    if [ "$RETVAL" = 0 ]; then
+        success
     else
-	failure
+        failure
     fi
     echo
 }
@@ -58,7 +61,8 @@
         start
         ;;
     status)
-        status -p $PID_FILE nokia-usb-net-confd 
+#        status -p $PID_FILE nokia-usb-net-confd 
+        lsmod | grep $USB_NET_MODULE &> /dev/null
         RETVAL=$?
         ;;
     *)



More information about the MeeGo-commits mailing list